Package org.apache.storm.trident

# Enum Class JoinOutFieldsMode

java.lang.Object
java.lang.Enum<JoinOutFieldsMode>
org.apache.storm.trident.JoinOutFieldsMode

All Implemented Interfaces:
  `Serializable`, `Comparable<JoinOutFieldsMode>`, `Constable`

public enum JoinOutFieldsMode extends Enum<JoinOutFieldsMode>
This enum defines how the output fields of JOIN is constructed.

If user specifies COMPACT while calling JOIN, the tuples emitted from the join will contain: First, the list of join fields. Please note that joining fields are exposed only once from emitted tuples. Next, a list of all non-join fields from all streams, in order of how the streams were passed to the join method.

If user specifies PRESERVE while calling JOIN, the tuples emitted from the join will contain: a list of all fields from all streams, in order of how the streams were passed to the join method.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COMPACT`
  `PRESERVE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JoinOutFieldsMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static JoinOutFieldsMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COMPACT

    public static final JoinOutFieldsMode COMPACT

  - ### PRESERVE

    public static final JoinOutFieldsMode PRESERVE

- ## Method Details

  - ### values

    public static JoinOutFieldsMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static JoinOutFieldsMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null